convert from svn repository: remove tags directory
[lttv.git] / trunk / lttng-xenomai / LinuxTraceToolkitViewer-0.8.61-xenoltt / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 setopt NO_GLOB_SUBST
23 else
24 case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
25 fi
26 BIN_SH=xpg4; export BIN_SH # for Tru64
27 DUALCASE=1; export DUALCASE # for MKS sh
28
29
30 # PATH needs CR
31 # Avoid depending upon Character Ranges.
32 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
33 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
34 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
35 as_cr_digits='0123456789'
36 as_cr_alnum=$as_cr_Letters$as_cr_digits
37
38 # The user is always right.
39 if test "${PATH_SEPARATOR+set}" != set; then
40 echo "#! /bin/sh" >conf$$.sh
41 echo "exit 0" >>conf$$.sh
42 chmod +x conf$$.sh
43 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
44 PATH_SEPARATOR=';'
45 else
46 PATH_SEPARATOR=:
47 fi
48 rm -f conf$$.sh
49 fi
50
51 # Support unset when possible.
52 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
53 as_unset=unset
54 else
55 as_unset=false
56 fi
57
58
59 # IFS
60 # We need space, tab and new line, in precisely that order. Quoting is
61 # there to prevent editors from complaining about space-tab.
62 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
63 # splitting by setting IFS to empty value.)
64 as_nl='
65 '
66 IFS=" "" $as_nl"
67
68 # Find who we are. Look in the path if we contain no directory separator.
69 case $0 in
70 *[\\/]* ) as_myself=$0 ;;
71 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
72 for as_dir in $PATH
73 do
74 IFS=$as_save_IFS
75 test -z "$as_dir" && as_dir=.
76 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
77 done
78 IFS=$as_save_IFS
79
80 ;;
81 esac
82 # We did not find ourselves, most probably we were run as `sh COMMAND'
83 # in which case we are not to be found in the path.
84 if test "x$as_myself" = x; then
85 as_myself=$0
86 fi
87 if test ! -f "$as_myself"; then
88 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
89 { (exit 1); exit 1; }
90 fi
91
92 # Work around bugs in pre-3.0 UWIN ksh.
93 for as_var in ENV MAIL MAILPATH
94 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
95 done
96 PS1='$ '
97 PS2='> '
98 PS4='+ '
99
100 # NLS nuisances.
101 for as_var in \
102 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
103 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
104 LC_TELEPHONE LC_TIME
105 do
106 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
107 eval $as_var=C; export $as_var
108 else
109 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
110 fi
111 done
112
113 # Required to use basename.
114 if expr a : '\(a\)' >/dev/null 2>&1 &&
115 test "X`expr 00001 : '.*\(...\)'`" = X001; then
116 as_expr=expr
117 else
118 as_expr=false
119 fi
120
121 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
122 as_basename=basename
123 else
124 as_basename=false
125 fi
126
127
128 # Name of the executable.
129 as_me=`$as_basename -- "$0" ||
130 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
131 X"$0" : 'X\(//\)$' \| \
132 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
133 echo X/"$0" |
134 sed '/^.*\/\([^/][^/]*\)\/*$/{
135 s//\1/
136 q
137 }
138 /^X\/\(\/\/\)$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\).*/{
143 s//\1/
144 q
145 }
146 s/.*/./; q'`
147
148 # CDPATH.
149 $as_unset CDPATH
150
151
152
153 as_lineno_1=$LINENO
154 as_lineno_2=$LINENO
155 test "x$as_lineno_1" != "x$as_lineno_2" &&
156 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
157
158 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
159 # uniformly replaced by the line number. The first 'sed' inserts a
160 # line-number line after each line using $LINENO; the second 'sed'
161 # does the real work. The second script uses 'N' to pair each
162 # line-number line with the line containing $LINENO, and appends
163 # trailing '-' during substitution so that $LINENO is not a special
164 # case at line end.
165 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
166 # scripts with optimization help from Paolo Bonzini. Blame Lee
167 # E. McMahon (1931-1989) for sed's syntax. :-)
168 sed -n '
169 p
170 /[$]LINENO/=
171 ' <$as_myself |
172 sed '
173 s/[$]LINENO.*/&-/
174 t lineno
175 b
176 :lineno
177 N
178 :loop
179 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
180 t loop
181 s/-\n.*//
182 ' >$as_me.lineno &&
183 chmod +x "$as_me.lineno" ||
184 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
185 { (exit 1); exit 1; }; }
186
187 # Don't try to exec as it changes $[0], causing all sort of problems
188 # (the dirname of $[0] is not the place where we might find the
189 # original and so on. Autoconf is especially sensitive to this).
190 . "./$as_me.lineno"
191 # Exit status is that of the last command.
192 exit
193 }
194
195
196 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
197 as_dirname=dirname
198 else
199 as_dirname=false
200 fi
201
202 ECHO_C= ECHO_N= ECHO_T=
203 case `echo -n x` in
204 -n*)
205 case `echo 'x\c'` in
206 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
207 *) ECHO_C='\c';;
208 esac;;
209 *)
210 ECHO_N='-n';;
211 esac
212
213 if expr a : '\(a\)' >/dev/null 2>&1 &&
214 test "X`expr 00001 : '.*\(...\)'`" = X001; then
215 as_expr=expr
216 else
217 as_expr=false
218 fi
219
220 rm -f conf$$ conf$$.exe conf$$.file
221 if test -d conf$$.dir; then
222 rm -f conf$$.dir/conf$$.file
223 else
224 rm -f conf$$.dir
225 mkdir conf$$.dir
226 fi
227 echo >conf$$.file
228 if ln -s conf$$.file conf$$ 2>/dev/null; then
229 as_ln_s='ln -s'
230 # ... but there are two gotchas:
231 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
232 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
233 # In both cases, we have to default to `cp -p'.
234 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
235 as_ln_s='cp -p'
236 elif ln conf$$.file conf$$ 2>/dev/null; then
237 as_ln_s=ln
238 else
239 as_ln_s='cp -p'
240 fi
241 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
242 rmdir conf$$.dir 2>/dev/null
243
244 if mkdir -p . 2>/dev/null; then
245 as_mkdir_p=:
246 else
247 test -d ./-p && rmdir ./-p
248 as_mkdir_p=false
249 fi
250
251 # Find out whether ``test -x'' works. Don't use a zero-byte file, as
252 # systems may use methods other than mode bits to determine executability.
253 cat >conf$$.file <<_ASEOF
254 #! /bin/sh
255 exit 0
256 _ASEOF
257 chmod +x conf$$.file
258 if test -x conf$$.file >/dev/null 2>&1; then
259 as_executable_p="test -x"
260 else
261 as_executable_p=:
262 fi
263 rm -f conf$$.file
264
265 # Sed expression to map a string onto a valid CPP name.
266 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
267
268 # Sed expression to map a string onto a valid variable name.
269 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
270
271
272 exec 6>&1
273
274 # Save the log message, to keep $[0] and so on meaningful, and to
275 # report actual input values of CONFIG_FILES etc. instead of their
276 # values after options handling.
277 ac_log="
278 This file was extended by FULL-PACKAGE-NAME $as_me VERSION, which was
279 generated by GNU Autoconf 2.60. Invocation command line was
280
281 CONFIG_FILES = $CONFIG_FILES
282 CONFIG_HEADERS = $CONFIG_HEADERS
283 CONFIG_LINKS = $CONFIG_LINKS
284 CONFIG_COMMANDS = $CONFIG_COMMANDS
285 $ $0 $@
286
287 on `(hostname || uname -n) 2>/dev/null | sed 1q`
288 "
289
290 # Files that config.status was made for.
291 config_files=" Makefile lttv/Makefile lttv/lttv/Makefile lttv/modules/Makefile lttv/modules/text/Makefile lttv/modules/gui/Makefile lttv/modules/gui/lttvwindow/Makefile lttv/modules/gui/interrupts/Makefile lttv/modules/gui/tutorial/Makefile lttv/modules/gui/diskperformance/Makefile lttv/modules/gui/lttvwindow/lttvwindow/Makefile lttv/modules/gui/lttvwindow/pixmaps/Makefile lttv/modules/gui/controlflow/Makefile lttv/modules/gui/detailedevents/Makefile lttv/modules/gui/statistics/Makefile lttv/modules/gui/histogram/Makefile lttv/modules/gui/filter/Makefile lttv/modules/gui/tracecontrol/Makefile ltt/Makefile doc/Makefile doc/developer/Makefile doc/developer/developer_guide/Makefile doc/developer/developer_guide/docbook/Makefile doc/developer/developer_guide/html/Makefile doc/user/Makefile doc/user/user_guide/Makefile doc/user/user_guide/docbook/Makefile doc/user/user_guide/html/Makefile lttv/modules/gui/xenoltt/Makefile"
292 config_headers=" config.h"
293 config_commands=" depfiles"
294
295 ac_cs_usage="\
296 \`$as_me' instantiates files from templates according to the
297 current configuration.
298
299 Usage: $0 [OPTIONS] [FILE]...
300
301 -h, --help print this help, then exit
302 -V, --version print version number, then exit
303 -q, --quiet do not print progress messages
304 -d, --debug don't remove temporary files
305 --recheck update $as_me by reconfiguring in the same conditions
306 --file=FILE[:TEMPLATE]
307 instantiate the configuration file FILE
308 --header=FILE[:TEMPLATE]
309 instantiate the configuration header FILE
310
311 Configuration files:
312 $config_files
313
314 Configuration headers:
315 $config_headers
316
317 Configuration commands:
318 $config_commands
319
320 Report bugs to <bug-autoconf@gnu.org>."
321
322 ac_cs_version="\
323 FULL-PACKAGE-NAME config.status VERSION
324 configured by ./configure, generated by GNU Autoconf 2.60,
325 with options \"\"
326
327 Copyright (C) 2006 Free Software Foundation, Inc.
328 This config.status script is free software; the Free Software Foundation
329 gives unlimited permission to copy, distribute and modify it."
330
331 ac_pwd='/usr/src/LinuxTraceToolkitViewer-0.8.61-16092006'
332 srcdir='.'
333 INSTALL='/usr/bin/install -c'
334 # If no file are specified by the user, then we need to provide default
335 # value. By we need to know if files were specified by the user.
336 ac_need_defaults=:
337 while test $# != 0
338 do
339 case $1 in
340 --*=*)
341 ac_option=`expr "X$1" : 'X\([^=]*\)='`
342 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
343 ac_shift=:
344 ;;
345 *)
346 ac_option=$1
347 ac_optarg=$2
348 ac_shift=shift
349 ;;
350 esac
351
352 case $ac_option in
353 # Handling of the options.
354 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
355 ac_cs_recheck=: ;;
356 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
357 echo "$ac_cs_version"; exit ;;
358 --debug | --debu | --deb | --de | --d | -d )
359 debug=: ;;
360 --file | --fil | --fi | --f )
361 $ac_shift
362 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
363 ac_need_defaults=false;;
364 --header | --heade | --head | --hea )
365 $ac_shift
366 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
367 ac_need_defaults=false;;
368 --he | --h)
369 # Conflict between --help and --header
370 { echo "$as_me: error: ambiguous option: $1
371 Try \`$0 --help' for more information." >&2
372 { (exit 1); exit 1; }; };;
373 --help | --hel | -h )
374 echo "$ac_cs_usage"; exit ;;
375 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
376 | -silent | --silent | --silen | --sile | --sil | --si | --s)
377 ac_cs_silent=: ;;
378
379 # This is an error.
380 -*) { echo "$as_me: error: unrecognized option: $1
381 Try \`$0 --help' for more information." >&2
382 { (exit 1); exit 1; }; } ;;
383
384 *) ac_config_targets="$ac_config_targets $1"
385 ac_need_defaults=false ;;
386
387 esac
388 shift
389 done
390
391 ac_configure_extra_args=
392
393 if $ac_cs_silent; then
394 exec 6>/dev/null
395 ac_configure_extra_args="$ac_configure_extra_args --silent"
396 fi
397
398 if $ac_cs_recheck; then
399 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
400 CONFIG_SHELL=/bin/sh
401 export CONFIG_SHELL
402 exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
403 fi
404
405 exec 5>>config.log
406 {
407 echo
408 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
409 ## Running $as_me. ##
410 _ASBOX
411 echo "$ac_log"
412 } >&5
413
414 #
415 # INIT-COMMANDS
416 #
417 AMDEP_TRUE="" ac_aux_dir="."
418
419
420 # Handling of arguments.
421 for ac_config_target in $ac_config_targets
422 do
423 case $ac_config_target in
424 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
425 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
426 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
427 "lttv/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/Makefile" ;;
428 "lttv/lttv/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/lttv/Makefile" ;;
429 "lttv/modules/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/Makefile" ;;
430 "lttv/modules/text/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/text/Makefile" ;;
431 "lttv/modules/gui/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/Makefile" ;;
432 "lttv/modules/gui/lttvwindow/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/lttvwindow/Makefile" ;;
433 "lttv/modules/gui/interrupts/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/interrupts/Makefile" ;;
434 "lttv/modules/gui/tutorial/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/tutorial/Makefile" ;;
435 "lttv/modules/gui/diskperformance/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/diskperformance/Makefile" ;;
436 "lttv/modules/gui/lttvwindow/lttvwindow/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/lttvwindow/lttvwindow/Makefile" ;;
437 "lttv/modules/gui/lttvwindow/pixmaps/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/lttvwindow/pixmaps/Makefile" ;;
438 "lttv/modules/gui/controlflow/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/controlflow/Makefile" ;;
439 "lttv/modules/gui/detailedevents/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/detailedevents/Makefile" ;;
440 "lttv/modules/gui/statistics/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/statistics/Makefile" ;;
441 "lttv/modules/gui/histogram/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/histogram/Makefile" ;;
442 "lttv/modules/gui/filter/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/filter/Makefile" ;;
443 "lttv/modules/gui/tracecontrol/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/tracecontrol/Makefile" ;;
444 "lttv/modules/gui/xenoltt/Makefile") CONFIG_FILES="$CONFIG_FILES lttv/modules/gui/xenoltt/Makefile" ;;
445 "ltt/Makefile") CONFIG_FILES="$CONFIG_FILES ltt/Makefile" ;;
446 "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
447 "doc/developer/Makefile") CONFIG_FILES="$CONFIG_FILES doc/developer/Makefile" ;;
448 "doc/developer/developer_guide/Makefile") CONFIG_FILES="$CONFIG_FILES doc/developer/developer_guide/Makefile" ;;
449 "doc/developer/developer_guide/docbook/Makefile") CONFIG_FILES="$CONFIG_FILES doc/developer/developer_guide/docbook/Makefile" ;;
450 "doc/developer/developer_guide/html/Makefile") CONFIG_FILES="$CONFIG_FILES doc/developer/developer_guide/html/Makefile" ;;
451 "doc/user/Makefile") CONFIG_FILES="$CONFIG_FILES doc/user/Makefile" ;;
452 "doc/user/user_guide/Makefile") CONFIG_FILES="$CONFIG_FILES doc/user/user_guide/Makefile" ;;
453 "doc/user/user_guide/docbook/Makefile") CONFIG_FILES="$CONFIG_FILES doc/user/user_guide/docbook/Makefile" ;;
454 "doc/user/user_guide/html/Makefile") CONFIG_FILES="$CONFIG_FILES doc/user/user_guide/html/Makefile" ;;
455
456 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
457 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
458 { (exit 1); exit 1; }; };;
459 esac
460 done
461
462
463 # If the user did not use the arguments to specify the items to instantiate,
464 # then the envvar interface is used. Set only those that are not.
465 # We use the long form for the default assignment because of an extremely
466 # bizarre bug on SunOS 4.1.3.
467 if $ac_need_defaults; then
468 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
469 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
470 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
471 fi
472
473 # Have a temporary directory for convenience. Make it in the build tree
474 # simply because there is no reason against having it here, and in addition,
475 # creating and moving files from /tmp can sometimes cause problems.
476 # Hook for its removal unless debugging.
477 # Note that there is a small window in which the directory will not be cleaned:
478 # after its creation but before its name has been assigned to `$tmp'.
479 $debug ||
480 {
481 tmp=
482 trap 'exit_status=$?
483 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
484 ' 0
485 trap '{ (exit 1); exit 1; }' 1 2 13 15
486 }
487 # Create a (secure) tmp directory for tmp files.
488
489 {
490 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
491 test -n "$tmp" && test -d "$tmp"
492 } ||
493 {
494 tmp=./conf$$-$RANDOM
495 (umask 077 && mkdir "$tmp")
496 } ||
497 {
498 echo "$me: cannot create a temporary directory in ." >&2
499 { (exit 1); exit 1; }
500 }
501
502 #
503 # Set up the sed scripts for CONFIG_FILES section.
504 #
505
506 # No need to generate the scripts if there are no CONFIG_FILES.
507 # This happens for instance when ./config.status config.h
508 if test -n "$CONFIG_FILES"; then
509
510 cat >"$tmp/subs-1.sed" <<\CEOF
511 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
512 s,@SHELL@,|#_!!_#|/bin/sh,g
513 s,@PATH_SEPARATOR@,|#_!!_#|:,g
514 s,@PACKAGE_NAME@,|#_!!_#|FULL-PACKAGE-NAME,g
515 s,@PACKAGE_TARNAME@,|#_!!_#|full-package-name,g
516 s,@PACKAGE_VERSION@,|#_!!_#|VERSION,g
517 s,@PACKAGE_STRING@,|#_!!_#|FULL-PACKAGE-NAME VERSION,g
518 s,@PACKAGE_BUGREPORT@,|#_!!_#|BUG-REPORT-ADDRESS,g
519 s,@exec_prefix@,|#_!!_#|${prefix},g
520 s,@prefix@,|#_!!_#|/usr/local,g
521 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
522 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
523 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
524 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
525 s,@datarootdir@,|#_!!_#|${prefix}/share,g
526 s,@datadir@,|#_!!_#|${datarootdir},g
527 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
528 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
529 s,@localstatedir@,|#_!!_#|${prefix}/var,g
530 s,@includedir@,|#_!!_#|${prefix}/include,g
531 s,@oldincludedir@,|#_!!_#|/usr/include,g
532 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
533 s,@infodir@,|#_!!_#|${datarootdir}/info,g
534 s,@htmldir@,|#_!!_#|${docdir},g
535 s,@dvidir@,|#_!!_#|${docdir},g
536 s,@pdfdir@,|#_!!_#|${docdir},g
537 s,@psdir@,|#_!!_#|${docdir},g
538 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
539 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
540 s,@mandir@,|#_!!_#|${datarootdir}/man,g
541 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
542 s,@ECHO_C@,|#_!!_#|,g
543 s,@ECHO_N@,|#_!!_#|-n,g
544 s,@ECHO_T@,|#_!!_#|,g
545 s,@LIBS@,|#_!!_#|,g
546 s,@build_alias@,|#_!!_#|,g
547 s,@host_alias@,|#_!!_#|,g
548 s,@target_alias@,|#_!!_#|,g
549 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
550 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
551 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
552 s,@CYGPATH_W@,|#_!!_#|echo,g
553 s,@PACKAGE@,|#_!!_#|LinuxTraceToolkitViewer,g
554 s,@VERSION@,|#_!!_#|0.8.61-16092006,g
555 s,@ACLOCAL@,|#_!!_#|${SHELL} /usr/src/LinuxTraceToolkitViewer-0.8.61-16092006/missing --run aclocal-1.7,g
556 s,@AUTOCONF@,|#_!!_#|${SHELL} /usr/src/LinuxTraceToolkitViewer-0.8.61-16092006/missing --run autoconf,g
557 s,@AUTOMAKE@,|#_!!_#|${SHELL} /usr/src/LinuxTraceToolkitViewer-0.8.61-16092006/missing --run automake-1.7,g
558 s,@AUTOHEADER@,|#_!!_#|${SHELL} /usr/src/LinuxTraceToolkitViewer-0.8.61-16092006/missing --run autoheader,g
559 s,@MAKEINFO@,|#_!!_#|${SHELL} /usr/src/LinuxTraceToolkitViewer-0.8.61-16092006/missing --run makeinfo,g
560 s,@AMTAR@,|#_!!_#|${SHELL} /usr/src/LinuxTraceToolkitViewer-0.8.61-16092006/missing --run tar,g
561 s,@install_sh@,|#_!!_#|/usr/src/LinuxTraceToolkitViewer-0.8.61-16092006/install-sh,g
562 s,@STRIP@,|#_!!_#|strip,g
563 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
564 s,@AWK@,|#_!!_#|mawk,g
565 s,@SET_MAKE@,|#_!!_#|,g
566 s,@am__leading_dot@,|#_!!_#|.,g
567 s,@build@,|#_!!_#|i686-pc-linux-gnu,g
568 s,@build_cpu@,|#_!!_#|i686,g
569 s,@build_vendor@,|#_!!_#|pc,g
570 s,@build_os@,|#_!!_#|linux-gnu,g
571 s,@host@,|#_!!_#|i686-pc-linux-gnu,g
572 s,@host_cpu@,|#_!!_#|i686,g
573 s,@host_vendor@,|#_!!_#|pc,g
574 s,@host_os@,|#_!!_#|linux-gnu,g
575 s,@CC@,|#_!!_#|gcc,g
576 s,@CFLAGS@,|#_!!_#|-g -O2,g
577 s,@LDFLAGS@,|#_!!_#|,g
578 s,@CPPFLAGS@,|#_!!_#|,g
579 s,@ac_ct_CC@,|#_!!_#|gcc,g
580 s,@EXEEXT@,|#_!!_#|,g
581 s,@OBJEXT@,|#_!!_#|o,g
582 s,@DEPDIR@,|#_!!_#|.deps,g
583 s,@am__include@,|#_!!_#|include,g
584 s,@am__quote@,|#_!!_#|,g
585 s,@AMDEP_TRUE@,|#_!!_#|,g
586 s,@AMDEP_FALSE@,|#_!!_#|#,g
587 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
588 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
589 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
590 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
591 s,@GREP@,|#_!!_#|/bin/grep,g
592 s,@EGREP@,|#_!!_#|/bin/grep -E,g
593 s,@LN_S@,|#_!!_#|ln -s,g
594 s,@ECHO@,|#_!!_#|echo,g
595 s,@AR@,|#_!!_#|ar,g
596 s,@RANLIB@,|#_!!_#|ranlib,g
597 s,@CPP@,|#_!!_#|gcc -E,g
598 s,@CXX@,|#_!!_#|g++,g
599 s,@CXXFLAGS@,|#_!!_#|-g -O2,g
600 s,@ac_ct_CXX@,|#_!!_#|g++,g
601 s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
602 s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
603 s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
604 s,@CXXCPP@,|#_!!_#|g++ -E,g
605 s,@F77@,|#_!!_#|,g
606 s,@FFLAGS@,|#_!!_#|,g
607 s,@ac_ct_F77@,|#_!!_#|,g
608 s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
609 CEOF
610 cat >"$tmp/subs-2.sed" <<\CEOF
611 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
612 s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
613 s,@GLIB_CFLAGS@,|#_!!_#|-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,g
614 s,@GLIB_LIBS@,|#_!!_#|-Wl\,--export-dynamic -lgmodule-2.0 -ldl -lglib-2.0 ,g
615 s,@GLIB_GENMARSHAL@,|#_!!_#|glib-genmarshal,g
616 s,@GOBJECT_QUERY@,|#_!!_#|gobject-query,g
617 s,@GLIB_MKENUMS@,|#_!!_#|glib-mkenums,g
618 s,@GTK_CFLAGS@,|#_!!_#|-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,g
619 s,@GTK_LIBS@,|#_!!_#|-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 ,g
620 s,@BASH@,|#_!!_#|/bin/sh,g
621 s,@PACKAGE_CFLAGS@,|#_!!_#|-Wall -Wformat,g
622 s,@PACKAGE_LIBS@,|#_!!_#|-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 ,g
623 s,@LIBOBJS@,|#_!!_#|,g
624 s,@LTTVSTATIC_TRUE@,|#_!!_#|#,g
625 s,@LTTVSTATIC_FALSE@,|#_!!_#|,g
626 s,@POPT_LIBS@,|#_!!_#|-lpopt,g
627 s,@UTIL_LIBS@,|#_!!_#|-lutil,g
628 s,@THREAD_LIBS@,|#_!!_#|,g
629 s,@lttvlibdir@,|#_!!_#|${exec_prefix}/lib/lttv,g
630 s,@lttvplugindir@,|#_!!_#|${exec_prefix}/lib/lttv/plugins,g
631 s,@top_lttvdir@,|#_!!_#|$(top_srcdir)/lttv,g
632 s,@top_lttvwindowdir@,|#_!!_#|$(top_srcdir)/lttv/modules/gui/lttvwindow,g
633 s,@DEFAULT_INCLUDES@,|#_!!_#|-I$(top_srcdir) -I$(top_builddir) -I$(top_lttvdir) -I$(top_lttvwindowdir),g
634 s,@lttincludedir@,|#_!!_#|${prefix}/include/ltt,g
635 s,@lttvincludedir@,|#_!!_#|${prefix}/include/lttv,g
636 s,@lttvwindowincludedir@,|#_!!_#|${prefix}/include/lttvwindow,g
637 s,@lttctlincludedir@,|#_!!_#|${prefix}/include/liblttctl,g
638 s,@LTLIBOBJS@,|#_!!_#|,g
639 :end
640 s/|#_!!_#|//g
641 CEOF
642 fi # test -n "$CONFIG_FILES"
643
644
645 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
646 do
647 case $ac_tag in
648 :[FHLC]) ac_mode=$ac_tag; continue;;
649 esac
650 case $ac_mode$ac_tag in
651 :[FHL]*:*);;
652 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
653 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
654 { (exit 1); exit 1; }; };;
655 :[FH]-) ac_tag=-:-;;
656 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
657 esac
658 ac_save_IFS=$IFS
659 IFS=:
660 set x $ac_tag
661 IFS=$ac_save_IFS
662 shift
663 ac_file=$1
664 shift
665
666 case $ac_mode in
667 :L) ac_source=$1;;
668 :[FH])
669 ac_file_inputs=
670 for ac_f
671 do
672 case $ac_f in
673 -) ac_f="$tmp/stdin";;
674 *) # Look for the file first in the build tree, then in the source tree
675 # (if the path is not absolute). The absolute path cannot be DOS-style,
676 # because $ac_f cannot contain `:'.
677 test -f "$ac_f" ||
678 case $ac_f in
679 [\\/$]*) false;;
680 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
681 esac ||
682 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
683 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
684 { (exit 1); exit 1; }; };;
685 esac
686 ac_file_inputs="$ac_file_inputs $ac_f"
687 done
688
689 # Let's still pretend it is `configure' which instantiates (i.e., don't
690 # use $as_me), people would be surprised to read:
691 # /* config.h. Generated by config.status. */
692 configure_input="Generated from "`IFS=:
693 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
694 if test x"$ac_file" != x-; then
695 configure_input="$ac_file. $configure_input"
696 { echo "$as_me:$LINENO: creating $ac_file" >&5
697 echo "$as_me: creating $ac_file" >&6;}
698 fi
699
700 case $ac_tag in
701 *:-:* | *:-) cat >"$tmp/stdin";;
702 esac
703 ;;
704 esac
705
706 ac_dir=`$as_dirname -- "$ac_file" ||
707 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
708 X"$ac_file" : 'X\(//\)[^/]' \| \
709 X"$ac_file" : 'X\(//\)$' \| \
710 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
711 echo X"$ac_file" |
712 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
713 s//\1/
714 q
715 }
716 /^X\(\/\/\)[^/].*/{
717 s//\1/
718 q
719 }
720 /^X\(\/\/\)$/{
721 s//\1/
722 q
723 }
724 /^X\(\/\).*/{
725 s//\1/
726 q
727 }
728 s/.*/./; q'`
729 { as_dir="$ac_dir"
730 case $as_dir in #(
731 -*) as_dir=./$as_dir;;
732 esac
733 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
734 as_dirs=
735 while :; do
736 case $as_dir in #(
737 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
738 *) as_qdir=$as_dir;;
739 esac
740 as_dirs="'$as_qdir' $as_dirs"
741 as_dir=`$as_dirname -- "$as_dir" ||
742 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
743 X"$as_dir" : 'X\(//\)[^/]' \| \
744 X"$as_dir" : 'X\(//\)$' \| \
745 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
746 echo X"$as_dir" |
747 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
748 s//\1/
749 q
750 }
751 /^X\(\/\/\)[^/].*/{
752 s//\1/
753 q
754 }
755 /^X\(\/\/\)$/{
756 s//\1/
757 q
758 }
759 /^X\(\/\).*/{
760 s//\1/
761 q
762 }
763 s/.*/./; q'`
764 test -d "$as_dir" && break
765 done
766 test -z "$as_dirs" || eval "mkdir $as_dirs"
767 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
768 echo "$as_me: error: cannot create directory $as_dir" >&2;}
769 { (exit 1); exit 1; }; }; }
770 ac_builddir=.
771
772 case "$ac_dir" in
773 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
774 *)
775 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
776 # A ".." for each directory in $ac_dir_suffix.
777 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
778 case $ac_top_builddir_sub in
779 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
780 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
781 esac ;;
782 esac
783 ac_abs_top_builddir=$ac_pwd
784 ac_abs_builddir=$ac_pwd$ac_dir_suffix
785 # for backward compatibility:
786 ac_top_builddir=$ac_top_build_prefix
787
788 case $srcdir in
789 .) # We are building in place.
790 ac_srcdir=.
791 ac_top_srcdir=$ac_top_builddir_sub
792 ac_abs_top_srcdir=$ac_pwd ;;
793 [\\/]* | ?:[\\/]* ) # Absolute name.
794 ac_srcdir=$srcdir$ac_dir_suffix;
795 ac_top_srcdir=$srcdir
796 ac_abs_top_srcdir=$srcdir ;;
797 *) # Relative name.
798 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
799 ac_top_srcdir=$ac_top_build_prefix$srcdir
800 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
801 esac
802 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
803
804
805 case $ac_mode in
806 :F)
807 #
808 # CONFIG_FILE
809 #
810
811 case $INSTALL in
812 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
813 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
814 esac
815 # If the template does not know about datarootdir, expand it.
816 # FIXME: This hack should be removed a few years after 2.60.
817 ac_datarootdir_hack=; ac_datarootdir_seen=
818
819 case `sed -n '/datarootdir/ {
820 p
821 q
822 }
823 /@datadir@/p
824 /@docdir@/p
825 /@infodir@/p
826 /@localedir@/p
827 /@mandir@/p
828 ' $ac_file_inputs` in
829 *datarootdir*) ac_datarootdir_seen=yes;;
830 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
831 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
832 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
833 ac_datarootdir_hack='
834 s&@datadir@&${datarootdir}&g
835 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
836 s&@infodir@&${datarootdir}/info&g
837 s&@localedir@&${datarootdir}/locale&g
838 s&@mandir@&${datarootdir}/man&g
839 s&\${datarootdir}&${prefix}/share&g' ;;
840 esac
841 sed "/^[ ]*VPATH[ ]*=/{
842 s/:*\$(srcdir):*/:/
843 s/:*\${srcdir}:*/:/
844 s/:*@srcdir@:*/:/
845 s/^\([^=]*=[ ]*\):*/\1/
846 s/:*$//
847 s/^[^=]*=[ ]*$//
848 }
849
850 :t
851 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
852 s&@configure_input@&$configure_input&;t t
853 s&@top_builddir@&$ac_top_builddir_sub&;t t
854 s&@srcdir@&$ac_srcdir&;t t
855 s&@abs_srcdir@&$ac_abs_srcdir&;t t
856 s&@top_srcdir@&$ac_top_srcdir&;t t
857 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
858 s&@builddir@&$ac_builddir&;t t
859 s&@abs_builddir@&$ac_abs_builddir&;t t
860 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
861 s&@INSTALL@&$ac_INSTALL&;t t
862 $ac_datarootdir_hack
863 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
864
865 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
866 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
867 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
868 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
869 which seems to be undefined. Please make sure it is defined." >&5
870 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
871 which seems to be undefined. Please make sure it is defined." >&2;}
872
873 rm -f "$tmp/stdin"
874 case $ac_file in
875 -) cat "$tmp/out"; rm -f "$tmp/out";;
876 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
877 esac
878 ;;
879 :H)
880 #
881 # CONFIG_HEADER
882 #
883 # First, check the format of the line:
884 cat >"$tmp/defines.sed" <<\CEOF
885 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
886 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
887 b
888 :def
889 s/$/ /
890 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "FULL-PACKAGE-NAME" ,
891 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "full-package-name" ,
892 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "VERSION" ,
893 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "FULL-PACKAGE-NAME VERSION" ,
894 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "BUG-REPORT-ADDRESS" ,
895 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "LinuxTraceToolkitViewer" ,
896 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.8.61-16092006" ,
897 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
898 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
899 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
900 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
901 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
902 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
903 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
904 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
905 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
906 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
907 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DLFCN_H\)[ (].*,\1define\2 1 ,
908 s,^\([ #]*\)[^ ]*\([ ]*_FILE_OFFSET_BITS\)[ (].*,\1define\2 64 ,
909 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
910 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
911 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
912 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
913 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
914 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
915 s,^\([ #]*\)[^ ]*\([ ]*HAVE_PTHREAD_H\)[ (].*,\1define\2 1 ,
916 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
917 s,^\([ #]*\)[^ ]*\([ ]*HAVE__BOOL\)[ (].*,\1define\2 1 ,
918 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDBOOL_H\)[ (].*,\1define\2 1 ,
919 s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
920 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SELECT_H\)[ (].*,\1define\2 1 ,
921 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_SOCKET_H\)[ (].*,\1define\2 1 ,
922 s,^\([ #]*\)[^ ]*\([ ]*SELECT_TYPE_ARG1\)[ (].*,\1define\2 int ,
923 s,^\([ #]*\)[^ ]*\([ ]*SELECT_TYPE_ARG234\)[ (].*,\1define\2 (fd_set *) ,
924 s,^\([ #]*\)[^ ]*\([ ]*SELECT_TYPE_ARG5\)[ (].*,\1define\2 (struct timeval *) ,
925 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SELECT\)[ (].*,\1define\2 1 ,
926 s/ $//
927 s,^[ #]*u.*,/* & */,
928 CEOF
929 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
930 ac_result="$tmp/out1"
931 if test x"$ac_file" != x-; then
932 echo "/* $configure_input */" >"$tmp/config.h"
933 cat "$ac_result" >>"$tmp/config.h"
934 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
935 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
936 echo "$as_me: $ac_file is unchanged" >&6;}
937 else
938 rm -f $ac_file
939 mv "$tmp/config.h" $ac_file
940 fi
941 else
942 echo "/* $configure_input */"
943 cat "$ac_result"
944 fi
945 rm -f "$tmp/out12"
946 # Compute $ac_file's index in $config_headers.
947 _am_stamp_count=1
948 for _am_header in $config_headers :; do
949 case $_am_header in
950 $ac_file | $ac_file:* )
951 break ;;
952 * )
953 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
954 esac
955 done
956 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
957 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
958 X$ac_file : 'X\(//\)[^/]' \| \
959 X$ac_file : 'X\(//\)$' \| \
960 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
961 echo X$ac_file |
962 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
963 s//\1/
964 q
965 }
966 /^X\(\/\/\)[^/].*/{
967 s//\1/
968 q
969 }
970 /^X\(\/\/\)$/{
971 s//\1/
972 q
973 }
974 /^X\(\/\).*/{
975 s//\1/
976 q
977 }
978 s/.*/./; q'`/stamp-h$_am_stamp_count
979 ;;
980
981 :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
982 echo "$as_me: executing $ac_file commands" >&6;}
983 ;;
984 esac
985
986
987 case $ac_file$ac_mode in
988 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
989 # Strip MF so we end up with the name of the file.
990 mf=`echo "$mf" | sed -e 's/:.*$//'`
991 # Check whether this is an Automake generated Makefile or not.
992 # We used to match only the files named `Makefile.in', but
993 # some people rename them; so instead we look at the file content.
994 # Grep'ing the first line is not enough: some people post-process
995 # each Makefile.in and add a new line on top of each file to say so.
996 # So let's grep whole file.
997 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
998 dirpart=`$as_dirname -- "$mf" ||
999 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1000 X"$mf" : 'X\(//\)[^/]' \| \
1001 X"$mf" : 'X\(//\)$' \| \
1002 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1003 echo X"$mf" |
1004 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1005 s//\1/
1006 q
1007 }
1008 /^X\(\/\/\)[^/].*/{
1009 s//\1/
1010 q
1011 }
1012 /^X\(\/\/\)$/{
1013 s//\1/
1014 q
1015 }
1016 /^X\(\/\).*/{
1017 s//\1/
1018 q
1019 }
1020 s/.*/./; q'`
1021 else
1022 continue
1023 fi
1024 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1025 # Extract the definition of DEP_FILES from the Makefile without
1026 # running `make'.
1027 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
1028 test -z "$DEPDIR" && continue
1029 # When using ansi2knr, U may be empty or an underscore; expand it
1030 U=`sed -n -e '/^U = / s///p' < "$mf"`
1031 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1032 # We invoke sed twice because it is the simplest approach to
1033 # changing $(DEPDIR) to its actual value in the expansion.
1034 for file in `sed -n -e '
1035 /^DEP_FILES = .*\\\\$/ {
1036 s/^DEP_FILES = //
1037 :loop
1038 s/\\\\$//
1039 p
1040 n
1041 /\\\\$/ b loop
1042 p
1043 }
1044 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1045 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1046 # Make sure the directory exists.
1047 test -f "$dirpart/$file" && continue
1048 fdir=`$as_dirname -- "$file" ||
1049 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1050 X"$file" : 'X\(//\)[^/]' \| \
1051 X"$file" : 'X\(//\)$' \| \
1052 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1053 echo X"$file" |
1054 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1055 s//\1/
1056 q
1057 }
1058 /^X\(\/\/\)[^/].*/{
1059 s//\1/
1060 q
1061 }
1062 /^X\(\/\/\)$/{
1063 s//\1/
1064 q
1065 }
1066 /^X\(\/\).*/{
1067 s//\1/
1068 q
1069 }
1070 s/.*/./; q'`
1071 { as_dir=$dirpart/$fdir
1072 case $as_dir in #(
1073 -*) as_dir=./$as_dir;;
1074 esac
1075 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1076 as_dirs=
1077 while :; do
1078 case $as_dir in #(
1079 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1080 *) as_qdir=$as_dir;;
1081 esac
1082 as_dirs="'$as_qdir' $as_dirs"
1083 as_dir=`$as_dirname -- "$as_dir" ||
1084 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1085 X"$as_dir" : 'X\(//\)[^/]' \| \
1086 X"$as_dir" : 'X\(//\)$' \| \
1087 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1088 echo X"$as_dir" |
1089 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1090 s//\1/
1091 q
1092 }
1093 /^X\(\/\/\)[^/].*/{
1094 s//\1/
1095 q
1096 }
1097 /^X\(\/\/\)$/{
1098 s//\1/
1099 q
1100 }
1101 /^X\(\/\).*/{
1102 s//\1/
1103 q
1104 }
1105 s/.*/./; q'`
1106 test -d "$as_dir" && break
1107 done
1108 test -z "$as_dirs" || eval "mkdir $as_dirs"
1109 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1110 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1111 { (exit 1); exit 1; }; }; }
1112 # echo "creating $dirpart/$file"
1113 echo '# dummy' > "$dirpart/$file"
1114 done
1115 done
1116 ;;
1117
1118 esac
1119 done # for ac_tag
1120
1121
1122 { (exit 0); exit 0; }
This page took 0.08979 seconds and 4 git commands to generate.